<?php

use Phinx\Seed\AbstractSeed;

class SmilesSeeder extends AbstractSeed
{
    /**
     * Run Method.
     */
    public function run()
    {
        $this->execute('TRUNCATE smiles');

        $table = $this->table('smiles');

        $data = [
            ['name' => '/uploads/smiles/).gif', 'code' => ':)'],
            ['name' => '/uploads/smiles/(.gif', 'code' => ':('],
            ['name' => '/uploads/smiles/4moks.gif', 'code' => ':4moks'],
            ['name' => '/uploads/smiles/D.gif', 'code' => ':D'],
            ['name' => '/uploads/smiles/E.gif', 'code' => ':E'],
            ['name' => '/uploads/smiles/aaa.gif', 'code' => ':aaa'],
            ['name' => '/uploads/smiles/agree.gif', 'code' => ':agree'],
            ['name' => '/uploads/smiles/airkiss.gif', 'code' => ':airkiss'],
            ['name' => '/uploads/smiles/atlet.gif', 'code' => ':atlet'],
            ['name' => '/uploads/smiles/baby.gif', 'code' => ':baby'],
            ['name' => '/uploads/smiles/bant.gif', 'code' => ':bant'],
            ['name' => '/uploads/smiles/be.gif', 'code' => ':be'],
            ['name' => '/uploads/smiles/blin.gif', 'code' => ':blin'],
            ['name' => '/uploads/smiles/blum.gif', 'code' => ':blum'],
            ['name' => '/uploads/smiles/bomba.gif', 'code' => ':bomba'],
            ['name' => '/uploads/smiles/bounce.gif', 'code' => ':bounce'],
            ['name' => '/uploads/smiles/bugaga.gif', 'code' => ':bugaga'],
            ['name' => '/uploads/smiles/buhoj.gif', 'code' => ':buhoj'],
            ['name' => '/uploads/smiles/bwink.gif', 'code' => ':bwink'],
            ['name' => '/uploads/smiles/cold.gif', 'code' => ':cold'],
            ['name' => '/uploads/smiles/cool.gif', 'code' => ':cool'],
            ['name' => '/uploads/smiles/cry.gif', 'code' => ':cry'],
            ['name' => '/uploads/smiles/ded.gif', 'code' => ':ded'],
            ['name' => '/uploads/smiles/derisive.gif', 'code' => ':derisive'],
            ['name' => '/uploads/smiles/drool.gif', 'code' => ':drool'],
            ['name' => '/uploads/smiles/duma.gif', 'code' => ':duma'],
            ['name' => '/uploads/smiles/exercise.gif', 'code' => ':exercise'],
            ['name' => '/uploads/smiles/faq.gif', 'code' => ':faq'],
            ['name' => '/uploads/smiles/fermer.gif', 'code' => ':fermer'],
            ['name' => '/uploads/smiles/fingal.gif', 'code' => ':fingal'],
            ['name' => '/uploads/smiles/flirt.gif', 'code' => ':flirt'],
            ['name' => '/uploads/smiles/fuck.gif', 'code' => ':fuck'],
            ['name' => '/uploads/smiles/girl_blum.gif', 'code' => ':girl_blum'],
            ['name' => '/uploads/smiles/girl_bye.gif', 'code' => ':girl_bye'],
            ['name' => '/uploads/smiles/girl_cry.gif', 'code' => ':girl_cry'],
            ['name' => '/uploads/smiles/girl_hide.gif', 'code' => ':girl_hide'],
            ['name' => '/uploads/smiles/girl_wink.gif', 'code' => ':girl_wink'],
            ['name' => '/uploads/smiles/girls.gif', 'code' => ':girls'],
            ['name' => '/uploads/smiles/happy.gif', 'code' => ':happy'],
            ['name' => '/uploads/smiles/heart.gif', 'code' => ':heart'],
            ['name' => '/uploads/smiles/hello.gif', 'code' => ':hello'],
            ['name' => '/uploads/smiles/help.gif', 'code' => ':help'],
            ['name' => '/uploads/smiles/help2.gif', 'code' => ':help2'],
            ['name' => '/uploads/smiles/hi.gif', 'code' => ':hi'],
            ['name' => '/uploads/smiles/infat.gif', 'code' => ':infat'],
            ['name' => '/uploads/smiles/kiss.gif', 'code' => ':kiss'],
            ['name' => '/uploads/smiles/kiss2.gif', 'code' => ':kiss2'],
            ['name' => '/uploads/smiles/klass.gif', 'code' => ':klass'],
            ['name' => '/uploads/smiles/krut.gif', 'code' => ':krut'],
            ['name' => '/uploads/smiles/krutoy.gif', 'code' => ':krutoy'],
            ['name' => '/uploads/smiles/ku.gif', 'code' => ':ku'],
            ['name' => '/uploads/smiles/kuku.gif', 'code' => ':kuku'],
            ['name' => '/uploads/smiles/kulak.gif', 'code' => ':kulak'],
            ['name' => '/uploads/smiles/lamer.gif', 'code' => ':lamer'],
            ['name' => '/uploads/smiles/love.gif', 'code' => ':love'],
            ['name' => '/uploads/smiles/love2.gif', 'code' => ':love2'],
            ['name' => '/uploads/smiles/mail.gif', 'code' => ':mail'],
            ['name' => '/uploads/smiles/mister.gif', 'code' => ':mister'],
            ['name' => '/uploads/smiles/money.gif', 'code' => ':money'],
            ['name' => '/uploads/smiles/moped.gif', 'code' => ':moped'],
            ['name' => '/uploads/smiles/musik.gif', 'code' => ':musik'],
            ['name' => '/uploads/smiles/nea.gif', 'code' => ':nea'],
            ['name' => '/uploads/smiles/net.gif', 'code' => ':net'],
            ['name' => '/uploads/smiles/neznaju.gif', 'code' => ':neznaju'],
            ['name' => '/uploads/smiles/ninja.gif', 'code' => ':ninja'],
            ['name' => '/uploads/smiles/no.gif', 'code' => ':no'],
            ['name' => '/uploads/smiles/nono.gif', 'code' => ':nono'],
            ['name' => '/uploads/smiles/nozh.gif', 'code' => ':nozh'],
            ['name' => '/uploads/smiles/nyam.gif', 'code' => ':nyam'],
            ['name' => '/uploads/smiles/nyam2.gif', 'code' => ':icecream'],
            ['name' => '/uploads/smiles/obana.gif', 'code' => ':obana'],
            ['name' => '/uploads/smiles/ogogo.gif', 'code' => ':ogogo'],
            ['name' => '/uploads/smiles/oops.gif', 'code' => ':oops'],
            ['name' => '/uploads/smiles/opa.gif', 'code' => ':opa'],
            ['name' => '/uploads/smiles/otstoy.gif', 'code' => ':otstoy'],
            ['name' => '/uploads/smiles/oy.gif', 'code' => ':oy'],
            ['name' => '/uploads/smiles/pirat.gif', 'code' => ':pirat'],
            ['name' => '/uploads/smiles/pirat2.gif', 'code' => ':pirat2'],
            ['name' => '/uploads/smiles/pistolet.gif', 'code' => ':pistolet'],
            ['name' => '/uploads/smiles/pistolet2.gif', 'code' => ':pistolet2'],
            ['name' => '/uploads/smiles/pizdec.gif', 'code' => ':shok3'],
            ['name' => '/uploads/smiles/poisk.gif', 'code' => ':poisk'],
            ['name' => '/uploads/smiles/proud.gif', 'code' => ':proud'],
            ['name' => '/uploads/smiles/puls.gif', 'code' => ':puls'],
            ['name' => '/uploads/smiles/queen.gif', 'code' => ':queen'],
            ['name' => '/uploads/smiles/rap.gif', 'code' => ':rap'],
            ['name' => '/uploads/smiles/read.gif', 'code' => ':read'],
            ['name' => '/uploads/smiles/respekt.gif', 'code' => ':respekt'],
            ['name' => '/uploads/smiles/rok.gif', 'code' => ':rok'],
            ['name' => '/uploads/smiles/rok2.gif', 'code' => ':rok2'],
            ['name' => '/uploads/smiles/senjor.gif', 'code' => ':senjor'],
            ['name' => '/uploads/smiles/shok.gif', 'code' => ':shok'],
            ['name' => '/uploads/smiles/shok2.gif', 'code' => ':shok2'],
            ['name' => '/uploads/smiles/skull.gif', 'code' => ':skull'],
            ['name' => '/uploads/smiles/smert.gif', 'code' => ':smert'],
            ['name' => '/uploads/smiles/smoke.gif', 'code' => ':smoke'],
            ['name' => '/uploads/smiles/spy.gif', 'code' => ':spy'],
            ['name' => '/uploads/smiles/strela.gif', 'code' => ':strela'],
            ['name' => '/uploads/smiles/svist.gif', 'code' => ':svist'],
            ['name' => '/uploads/smiles/tiho.gif', 'code' => ':tiho'],
            ['name' => '/uploads/smiles/vau.gif', 'code' => ':vau'],
            ['name' => '/uploads/smiles/victory.gif', 'code' => ':victory'],
            ['name' => '/uploads/smiles/visavi.gif', 'code' => ':visavi'],
            ['name' => '/uploads/smiles/visavi2.gif', 'code' => ':visavi2'],
            ['name' => '/uploads/smiles/vtopku.gif', 'code' => ':vtopku'],
            ['name' => '/uploads/smiles/wackogirl.gif', 'code' => ':wackogirl'],
            ['name' => '/uploads/smiles/xaxa.gif', 'code' => ':xaxa'],
            ['name' => '/uploads/smiles/xmm.gif', 'code' => ':xmm'],
            ['name' => '/uploads/smiles/yu.gif', 'code' => ':yu'],
            ['name' => '/uploads/smiles/zlo.gif', 'code' => ':zlo'],
            ['name' => '/uploads/smiles/ban.gif', 'code' => ':ban'],
            ['name' => '/uploads/smiles/ban2.gif', 'code' => ':ban2'],
            ['name' => '/uploads/smiles/banned.gif', 'code' => ':banned'],
            ['name' => '/uploads/smiles/closed.gif', 'code' => ':closed'],
            ['name' => '/uploads/smiles/closed2.gif', 'code' => ':closed2'],
            ['name' => '/uploads/smiles/devil.gif', 'code' => ':devil'],
            ['name' => '/uploads/smiles/flood.gif', 'code' => ':flood'],
            ['name' => '/uploads/smiles/flood2.gif', 'code' => ':flood2'],
            ['name' => '/uploads/smiles/huligan.gif', 'code' => ':huligan'],
            ['name' => '/uploads/smiles/ment.gif', 'code' => ':ment'],
            ['name' => '/uploads/smiles/ment2.gif', 'code' => ':ment2'],
            ['name' => '/uploads/smiles/moder.gif', 'code' => ':moder'],
            ['name' => '/uploads/smiles/nika.gif', 'code' => ':girlmoder'],
            ['name' => '/uploads/smiles/offtop.gif', 'code' => ':offtop'],
            ['name' => '/uploads/smiles/pravila.gif', 'code' => ':pravila'],
            ['name' => '/uploads/smiles/zona.gif', 'code' => ':zona'],
            ['name' => '/uploads/smiles/zub.gif', 'code' => ':zub'],
            ['name' => '/uploads/smiles/crazy.gif', 'code' => ':crazy'],
            ['name' => '/uploads/smiles/paratrooper.gif', 'code' => ':moder2'],
            ['name' => '/uploads/smiles/bug.gif', 'code' => ':bug'],
            ['name' => '/uploads/smiles/facepalm.gif', 'code' => ':facepalm'],
            ['name' => '/uploads/smiles/wall.gif', 'code' => ':wall'],
            ['name' => '/uploads/smiles/boss.gif', 'code' => ':boss'],
        ];

        $table->insert($data)->save();
    }
}
